#ifndef GPXI3132_HEADER
#define GPXI3132_HEADER

/*-------------------------------------------------------------------------*/
/* Typedefs                                                                */
/*-------------------------------------------------------------------------*/
typedef struct
	{
	unsigned long Version;
	unsigned char DevCount;
	unsigned char DevIndexes[7];
	} GPxi3132_StructDriverInfo;

/*-------------------------------------------------------------------------*/
/* Functions                                                               */
/*-------------------------------------------------------------------------*/
int GPxi3132_GetDriverInfo(GPxi3132_StructDriverInfo* DriverInfo);

int GPxi3132_SetRelayConf(unsigned int, unsigned int);
int GPxi3132_SetRelayConfMask(unsigned int, unsigned int, unsigned int);
int GPxi3132_GetRelayConf(unsigned int, unsigned int*);
int GPxi3132_UpdateRelay(unsigned int);

#endif